Package com.clickhouse.jdbc

## Class ClickHouseScrollableResultSet

- java.lang.Object
- - com.clickhouse.jdbc.JdbcWrapper
  - - com.clickhouse.jdbc.AbstractResultSet
    - - com.clickhouse.jdbc.ClickHouseResultSet
      - - com.clickhouse.jdbc.ClickHouseScrollableResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`

    public class ClickHouseScrollableResultSet
    extends ClickHouseResultSet

### Field Summary

### Fields inherited from class com.clickhouse.jdbc.ClickHouseResultSet

`columns, config, database, dateTimeZone, defaultCalendar, maxRows, metaData, response, statement, table, tsTimeZone, wrapObject`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
`ClickHouseScrollableResultSet​(String database, String table, ClickHouseStatement statement, ClickHouseResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute​(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`boolean` `first()`
`int` `getType()`
`boolean` `last()`
`boolean` `previous()`
`boolean` `relative​(int rows)`

### Methods inherited from class com.clickhouse.jdbc.ClickHouseResultSet

`close, ensureRead, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getColumnNames, getColumns, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, getValue, hasNext, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isWrapperFor, next, setFetchSize, unwrap, wasNull`

### Methods inherited from class com.clickhouse.jdbc.AbstractResultSet

`cancelRowUpdates, clearWarnings, deleteRow, ensureOpen, getConcurrency, getFetchDirection, getHoldability, getWarnings, insertRow, moveToCurrentRow, moveToInsertRow, refreshRow, rowDeleted, rowInserted, rowUpdated, setFetchDirection, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseScrollableResultSet

    public ClickHouseScrollableResultSet​(String database,
                                         String table,
                                         ClickHouseStatement statement,
                                         ClickHouseResponse response)
                                  throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getType

    public int getType()
                throws SQLException

Specified by:
  `getType` in interface `ResultSet`
Overrides:
  `getType` in class `AbstractResultSet`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Overrides:
  `beforeFirst` in class `AbstractResultSet`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Overrides:
  `afterLast` in class `AbstractResultSet`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Overrides:
  `first` in class `AbstractResultSet`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Overrides:
  `last` in class `AbstractResultSet`
Throws:
  `SQLException`

#### absolute

    public boolean absolute​(int row)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Overrides:
  `absolute` in class `AbstractResultSet`
Throws:
  `SQLException`

#### relative

    public boolean relative​(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Overrides:
  `relative` in class `AbstractResultSet`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Overrides:
  `previous` in class `AbstractResultSet`
Throws:
  `SQLException`